<?xml version="1.0" encoding="UTF-8"?>
<launch>
    <arg name="mpc_config_name"             default="social_mpc"/>
    <arg name="map_frame"                   default="map"/>
    <arg name="robot_frame"                 default="base_footprint"/>
    <arg name="namespace_slam"              default="slam"/>
    <arg name="global_occupancy_map_topic"  default="/slam/global_map"/>

  <node pkg="robot_behavior" type="behavior_global_path_planner_main.py" name="global_path_planner" output="screen" >    
    <param name="mpc_config_name"             type="str"     value="$(find robot_behavior)/config/social_mpc/$(arg mpc_config_name).yaml"/>
    <param name="robot_frame"                 type="str"     value="$(arg robot_frame)"/>
    <param name="map_frame"                   type="str"     value="$(arg map_frame)"/>
    <param name="namespace_slam"              type="str"     value="$(arg namespace_slam)"/>
    <param name="global_occupancy_map_topic"  type="str"     value="$(arg global_occupancy_map_topic)"/>    
  </node>


</launch>
